/*
** ocd - ojnk cd player
** Copyright (C) 1999 Odin <odin@numb.org>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License, version 2,
** as published by the Free Software Foundation.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA
*/

/*
** gen_window.h - Macros that'll operate on a given window
*/

#ifndef __GEN_WINDOW_H
#define __GEN_WINDOW_H

#define boldword(this_win, y, x, bold, normal, colon, base) {	\
	wmove(this_win, y, x);										\
	wattron(this_win, A_BOLD | COLOR_PAIR(base));				\
	waddstr(this_win, bold);									\
	wattroff(this_win, A_BOLD);									\
	waddstr(this_win, normal);									\
	wattron(this_win, A_BOLD | COLOR_PAIR(7));					\
	waddstr(this_win, colon);									\
	wattroff(this_win, A_BOLD);									\
}

#define oneline(this_win, y, l, bold, normal) {		\
	wmove(this_win, y, l);							\
	wattron(this_win, A_BOLD | COLOR_PAIR(8));		\
	waddstr(this_win, "[");							\
	wattron(this_win, COLOR_PAIR(6));				\
	waddstr(this_win, bold);						\
	wattron(this_win, COLOR_PAIR(8));				\
	waddstr(this_win, "] ");						\
	wattron(this_win, COLOR_PAIR(6));				\
	wattroff(this_win, A_BOLD);						\
	mvwaddstr(this_win, y, l + 4, normal);			\
}

#define cmdline(this_win, y, x, box1, item1, box2, item2, box3, item3) {	\
	oneline(this_win, y, x, box1, item1);									\
	oneline(this_win, y, x + (max_x - x) / 3, box2, item2);					\
	oneline(this_win, y, x + 2 * (max_x - x) / 3, box3, item3);				\
}

#endif /* __GEN_WINDOW_H */
