/*
** ocd - ojnk cd player
** Copyright (C) 1999 Odin <odin@numb.org>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License, version 2,
** as published by the Free Software Foundation.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA
*/

#ifndef __OCD_CDDB_H
#define __OCD_CDDB_H

#define CDDB_FNAME_LEN 9
#define CDDB_DIR ".cddb"

#define CDDB_HOST "cddb.cddb.com"
#define CDDB_PORT 888

#define CDDB_SHOST "cddb.cddb.com"
#define CDDB_SPORT 80

/*
** The server says the highest protocol level is 6, but the highest level 
** described in the faq is four.
*/
#define CDDB_PROTO 4

#define CDDB_HS_NO 409
#define CDDB_DB_CORRUPT 403
#define CDDB_BAD_SYNTAX 500

/*
** proto
*/
#define CDDB_PROTO_IN 200
#define CDDB_PROTO_OK 201
#define CDDB_PROTO_IL 501
#define CDDB_PROTO_NC 502

/*
** cddb hello
*/
#define CDDB_HS_OK 200
#define CDDB_HS_RE 431
#define CDDB_HS_BD 402

/*
** cddb query
*/
#define CDDB_EXACT 200
#define CDDB_INEXACT 211
#define CDDB_MEXACT 210
#define CDDB_NOMATCH 202

/*
** cddb read
*/
#define CDDB_FOUND 210
#define CDDB_NFOUND 401
#define CDDB_SERVERR 402
#define CDDB_LIMEX 417

/*
** submission
*/
#define CDDB_SUBMIT_OK 200
#define CDDB_SUBMIT_IE 400
#define CDDB_SUBMIT_MI 500

typedef struct {
	u_long discid;
	u_char tracks;
	u_char llen;
	struct cddb_track {
		u_char title[64];
		u_char ext[128];
	} *track;
	struct plist {
		u_char track;
		struct plist *next;
		struct plist *prev;
	} *playorder;
    int port;
    int sport;
	u_char title[64];
	u_char ext[128];
    u_char server[128];
    u_char sserver[128];
    u_char dir[128];
} cddb_t;

struct inexact {
	u_char title[72];
	u_char genre[12];
	u_long discid;
};

#endif /* __OCD_CDDB_H */
